#version 130 // GLSL verzia

uniform sampler3D base_tex_unit; // zakladna textura
uniform vec3 backColor;

in vec4 pos; // poloha vrcholu v EYE space

in vec3 fragment_pos; // poloha fragmentu v OBJECT space

void main(void)
{
 vec4 amb=vec4(backColor.xyz,1.0);

 // farba z 3D perlin noise textury
 amb.rgb+=vec3(texture3D(base_tex_unit,fragment_pos));

 // orezanie oblakov - vylucenie skupiny fragmentov
 if (amb.b<=0.96) discard; //amb.rgb=vec3(0.0,0.0,0.0);

 // vysledna farba
 gl_FragColor=amb;
}